Contacts
The Contacts of the Organization: create, read, update and delete, lookup, batch upsert, imports, merge and purge, and the consent states of one Contact.
| Operation | Summary | Scope | Released in | Phase 0 host |
|---|---|---|---|---|
GET /v1/contacts | List Contacts | contacts:read | 1.61.0 | served |
POST /v1/contacts | Create a Contact | contacts:write | 1.61.0 | served |
GET /v1/contacts/imports | List imports | contacts:read | 1.61.0 | served |
POST /v1/contacts/imports | Import Contacts | contacts:write | 1.61.0 | served |
GET /v1/contacts/imports/{import_id} | Read an import | contacts:read | 1.61.0 | served |
POST /v1/contacts/lookup | Find Contacts by an identity or an external id | contacts:read | 1.61.0 | served |
POST /v1/contacts/upsert | Create or update Contacts in a batch | contacts:write | 1.61.0 | served |
GET /v1/contacts/{contact_id} | Read a Contact | contacts:read | 1.61.0 | served |
PATCH /v1/contacts/{contact_id} | Update a Contact | contacts:write | 1.61.0 | served |
DELETE /v1/contacts/{contact_id} | Delete a Contact | contacts:write | 1.61.0 | served |
GET /v1/contacts/{contact_id}/consent | List a Contact's consent states | contacts:read | 1.61.0 | served |
POST /v1/contacts/{contact_id}/merge | Merge a Contact into another | contacts:write | 1.61.0 | served |
POST /v1/contacts/{contact_id}/purge | Purge a Contact's data | contacts:write | 1.61.0 | served |